{ *************************************************************************** }
{                                                                             }
{ XPde StyleBuilder                                                           }
{                                                                             }
{ Copyright (c) 2004 Sergey Mishin <mishinmail@mail.ru>                       }
{                                                                             }
{ This program is free software; you can redistribute it and/or               }
{ modify it under the terms of the GNU General Public                         }
{ License as published by the Free Software Foundation; either                }
{ version 2 of the License, or (at your option) any later version.            }
{                                                                             }
{ This program is distributed in the hope that it will be useful,             }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of              }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           }
{ General Public License for more details.                                    }
{                                                                             }
{ You should have received a copy of the GNU General Public License           }
{ along with this program; see the file COPYING.  If not, write to            }
{ the Free Software Foundation, Inc., 59 Temple Place - Suite 330,            }
{ Boston, MA 02111-1307, USA.                                                 }
{                                                                             }
{ *************************************************************************** }

unit uMain;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QButtons, QImgList, QComCtrls, QExtCtrls, QMenus, QTypes,
  uXPAPI, Qt;
  // QThemeSrvLinux, QThemed;

type
  TfrmMain = class(TForm)
    ImageList1: TImageList;
    StatusBar1: TStatusBar;
    ToolBar1: TToolBar;
    Panel: TPanel;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    View1: TMenuItem;
    Insert1: TMenuItem;
    ools1: TMenuItem;
    Window1: TMenuItem;
    Help1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Close1: TMenuItem;
    N1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    N2: TMenuItem;
    Importskin1: TMenuItem;
    N3: TMenuItem;
    Saveaspackage1: TMenuItem;
    Print1: TMenuItem;
    PrintSetup1: TMenuItem;
    N4: TMenuItem;
    Exit1: TMenuItem;
    Help2: TMenuItem;
    N5: TMenuItem;
    About1: TMenuItem;
    ivObjects: TIconView;
    ImageList2: TImageList;
    SpeedButton1: TSpeedButton;
    ImageList3: TImageList;
    Button1: TButton;
    Panel1: TPanel;
    cboPaths: TComboBox;
    Shape1: TShape;
    Label2: TLabel;
    Splitter1: TSplitter;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Memo: TMemo;
    TabSheet2: TTabSheet;
    Panel5: TPanel;
    ToolBar2: TToolBar;
    Panel6: TPanel;
    InactiveWindow: TPanel;
    frameleft_inactive: TImage;
    captionbar_inactive: TImage;
    InactiveButtonClose: TImage;
    frameright_inactive: TImage;
    framebottom_inactive: TImage;
    framebottom_left_inactive: TImage;
    framebottom_right_inactive: TImage;
    frame_mask_left: TImage;
    frame_mask_right: TImage;
    captionbar_right_inactive: TImage;
    captionbar_left_inactive: TImage;
    InactiveGlyphClose: TImage;
    Label1: TLabel;
    ActiveWindow: TPanel;
    InactiveButtonMaximize: TImage;
    InactiveGlyphMaximize: TImage;
    InactiveButtonRestore: TImage;
    InactiveButtonMinimize: TImage;
    InactiveGlyphRestore: TImage;
    InactiveGlyphMinimize: TImage;
    PageControl2: TPageControl;
    TabSheet3: TTabSheet;
    TreeView: TTreeView;
    Panel3: TPanel;
    Splitter2: TSplitter;
    Panel4: TPanel;
    PageControl3: TPageControl;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    Image8: TImage;
    ToolBar3: TToolBar;
    TextViewer1: TTextViewer;
    captionbar_left_active: TImage;
    frameleft_active: TImage;
    captionbar_active: TImage;
    captionbar_right_active: TImage;
    frameright_active: TImage;
    framebottom_left_active: TImage;
    framebottom_active: TImage;
    framebottom_right_active: TImage;
    Label3: TLabel;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Image9: TImage;
    Image10: TImage;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    ActiveGlyphRestore: TImage;
    ActiveGlyphMinimize: TImage;
    ActiveGlyphMaximize: TImage;
    ActiveGlyphClose: TImage;
    ActiveButtonRestore: TImage;
    ActiveButtonMinimize: TImage;
    ActiveButtonMaximize: TImage;
    ActiveButtonClose: TImage;
    PageControl4: TPageControl;
    TabSheet6: TTabSheet;
    ToolBar4: TToolBar;
    lblBitmap: TLabel;
    ScrollBox1: TScrollBox;
    Label5: TLabel;
    Label6: TLabel;
    imgActual: TImage;
    imgZoomed: TImage;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    procedure Exit1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ivObjectsSelectItem(Sender: TObject; Item: TIconViewItem;
      Selected: Boolean);
    procedure CreateWindowTree;
    procedure captionbar_inactiveClick(Sender: TObject);
    procedure ActiveGlyphMinimizeMouseMove(Sender: TObject;
      Shift: TShiftState; X, Y: Integer);
    procedure ActiveGlyphMinimizeMouseLeave(Sender: TObject);
    procedure ActiveGlyphMinimizeMouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ActiveGlyphMinimizeMouseUp(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ActiveGlyphMinimizeClick(Sender: TObject);
    procedure imgActualClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
    sInactiveWindowTitle='Inactive Window';
    sActiveWindowTitle='Active Window';
    caption_x=28;
    caption_y=7;
    style=[fsBold];
    fsize=10;
    ix=8;
    iy=7;

var
  frmMain: TfrmMain;
  dir: string;
  WindowInactiveWidth: integer;
  WindowInactiveHeight: integer;
  WindowActiveWidth: integer;
  WindowActiveHeight: integer;


implementation

{$R *.xfm}

procedure TfrmMain.CreateWindowTree;
var  RootNode: TTreeNode;
     TreeNode0: TTreeNode;
     TreeNode1: TTreeNode;
     TreeNode2: TTreeNode;
     TreeNode3: TTreeNode;
     TreeNode4: TTreeNode;
     TreeNode5: TTreeNode;
     TreeNode6: TTreeNode;
     TreeNode7: TTreeNode;
     TreeNode8: TTreeNode;
     TreeNode9: TTreeNode;
     TreeNode10: TTreeNode;
     TreeNode11: TTreeNode;
     TreeNode12: TTreeNode;
     TreeNode13: TTreeNode;
     TreeNode14: TTreeNode;
     TreeNode15: TTreeNode;
     TreeNode16: TTreeNode;
     TreeNode17: TTreeNode;
     TreeNode18: TTreeNode;
     TreeNode19: TTreeNode;
     TreeNode20: TTreeNode;
     TreeNode21: TTreeNode;
     TreeNode22: TTreeNode;
     TreeNode23: TTreeNode;
     TreeNode24: TTreeNode;
     TreeNode25: TTreeNode;
     TreeNode26: TTreeNode;
     TreeNode27: TTreeNode;
     TreeNode28: TTreeNode;
     TreeNode29: TTreeNode;
     TreeNode30: TTreeNode;
     TreeNode31: TTreeNode;
     TreeNode32: TTreeNode;
     TreeNode33: TTreeNode;
     TreeNode34: TTreeNode;
     TreeNode35: TTreeNode;
     TreeNode36: TTreeNode;
     TreeNode37: TTreeNode;
     TreeNode38: TTreeNode;
     TreeNode39: TTreeNode;
     TreeNode40: TTreeNode;
     TreeNode41: TTreeNode;
     TreeNode42: TTreeNode;
     TreeNode43: TTreeNode;
     TreeNode44: TTreeNode;
     TreeNode45: TTreeNode;
     TreeNode46: TTreeNode;
     TreeNode47: TTreeNode;
     TreeNode48: TTreeNode;
     TreeNode49: TTreeNode;
     TreeNode50: TTreeNode;

begin
     // TODO:
     with TreeView.Items do begin
        Clear;
        RootNode := Add(nil, 'Windows');
        RootNode.ImageIndex:=5;
           TreeNode0 := AddChild(RootNode, 'Captionbar Masks');
           TreeNode0.ImageIndex:=15;
              TreeNode26:=AddChild(TreeNode0,'Captionbar Mask Left');
              TreeNode26.ImageIndex:=15;
              TreeNode44:=AddChild(TreeNode0,'Captionbar Mask Right');
              TreeNode44.ImageIndex:=15;
           TreeNode1 := AddChild(RootNode, 'Active Frame');
           TreeNode1.ImageIndex:=5;
           TreeNode3 := AddChild(TreeNode1, 'Captionbar Left Active');
           TreeNode3.ImageIndex:=13;
           TreeNode4 := AddChild(TreeNode1, 'Captionbar Right Active');
           TreeNode4.ImageIndex:=14;
           TreeNode5 := AddChild(TreeNode1, 'Captionbar Active');
           TreeNode5.ImageIndex:=12;
           TreeNode6 := AddChild(TreeNode1, 'Frame Left Active');
           TreeNode6.ImageIndex:=20;
           TreeNode7 := AddChild(TreeNode1, 'Frame Right Active');
           TreeNode7.ImageIndex:=21;
           TreeNode49 := AddChild(TreeNode1, 'FrameBottom Active');
           TreeNode49.ImageIndex:=17;
           TreeNode8 := AddChild(TreeNode1, 'FrameBottom Left Active');
           TreeNode8.ImageIndex:=18;
           TreeNode9 := AddChild(TreeNode1, 'FrameBottom Right Active');
           TreeNode8.ImageIndex:=19;
           TreeNode10 := AddChild(TreeNode1, 'Window Title Active');
           TreeNode10.ImageIndex:=11;
          TreeNode2 := AddChild(RootNode, 'Inactive Frame');
          TreeNode2.ImageIndex:=5;
           TreeNode43 := AddChild(TreeNode2, 'Captionbar Left Inactive');
           TreeNode43.ImageIndex:=13;
          TreeNode12 := AddChild(TreeNode2, 'Captionbar Right Inactive');
          TreeNode12.ImageIndex:=14;
          TreeNode13 := AddChild(TreeNode2, 'Captionbar Inactive');
          TreeNode13.ImageIndex:=12;
          TreeNode14 := AddChild(TreeNode2, 'Frame Left Inactive');
          TreeNode14.ImageIndex:=20;
          TreeNode15 := AddChild(TreeNode2, 'Frame Right Inactive');
          TreeNode15.ImageIndex:=21;
          TreeNode50 := AddChild(TreeNode2, 'FrameBottom Inactive');
          TreeNode50.ImageIndex:=17;
          TreeNode16 := AddChild(TreeNode2, 'FrameBottom Left Inactive');
          TreeNode16.ImageIndex:=18;
          TreeNode17 := AddChild(TreeNode2, 'FrameBottom Right Inactive');
          TreeNode17.ImageIndex:=19;
          TreeNode18 := AddChild(TreeNode2, 'Window Title Inactive');
          TreeNode18.ImageIndex:=11;

          TreeNode19 := AddChild(RootNode, 'Caption Buttons');
          TreeNode19.ImageIndex:=4;
              TreeNode20 := AddChild(TreeNode19, 'Caption Button');
              TreeNode20.ImageIndex:=9;
                TreeNode39:=AddChild(TreeNode20,'CaptionButton Mask');
                TreeNode39.ImageIndex:=15;
                TreeNode40:=AddChild(TreeNode20,'CaptionButton Normal');
                TreeNode40.ImageIndex:=9;
                TreeNode41:=AddChild(TreeNode20,'CaptionButton Over');
                TreeNode41.ImageIndex:=9;
                TreeNode42:=AddChild(TreeNode20,'CaptionButton Press');
                TreeNode42.ImageIndex:=9;
              TreeNode21 := AddChild(TreeNode19, 'Button Glyphs');
              TreeNode21.ImageIndex:=10;
                  TreeNode22 := AddChild(TreeNode21, 'Maximize');
                  TreeNode22.ImageIndex:=7;
                      TreeNode27:=AddChild(TreeNode22,'Maximize Normal');
                      TreeNode27.ImageIndex:=7;
                      TreeNode28:=AddChild(TreeNode22,'Maximize Disable');
                      TreeNode28.ImageIndex:=7;
                      TreeNode29:=AddChild(TreeNode22,'Maximize Over');
                      TreeNode29.ImageIndex:=7;
                      TreeNode30:=AddChild(TreeNode22,'Maximize Press');
                      TreeNode30.ImageIndex:=7;
                  TreeNode23 := AddChild(TreeNode21, 'Minimize');
                  TreeNode23.ImageIndex:=8;
                      TreeNode31:=AddChild(TreeNode23,'Minimize Normal');
                      TreeNode31.ImageIndex:=8;
                      TreeNode32:=AddChild(TreeNode23,'Minimize Disable');
                      TreeNode32.ImageIndex:=8;
                      TreeNode33:=AddChild(TreeNode23,'Minimize Over');
                      TreeNode33.ImageIndex:=8;
                      TreeNode34:=AddChild(TreeNode23,'Minimize Press');
                      TreeNode34.ImageIndex:=8;
                  TreeNode24 := AddChild(TreeNode21, 'Restore');
                      TreeNode24.ImageIndex:=16;
                      TreeNode45:=AddChild(TreeNode24,'Restore Normal');
                      TreeNode45.ImageIndex:=16;
                      TreeNode46:=AddChild(TreeNode24,'Restore Disable');
                      TreeNode46.ImageIndex:=16;
                      TreeNode47:=AddChild(TreeNode24,'Restore Over');
                      TreeNode47.ImageIndex:=16;
                      TreeNode48:=AddChild(TreeNode24,'Restore Press');
                      TreeNode48.ImageIndex:=16;
                  TreeNode25 := AddChild(TreeNode21, 'Close');
                      TreeNode25.ImageIndex:=10;
                      TreeNode35:=AddChild(TreeNode25,'Close Normal');
                      TreeNode35.ImageIndex:=10;
                      TreeNode36:=AddChild(TreeNode25,'Close Disable');
                      TreeNode36.ImageIndex:=10;
                      TreeNode37:=AddChild(TreeNode25,'Close Over');
                      TreeNode37.ImageIndex:=10;
                      TreeNode38:=AddChild(TreeNode25,'Close Press');
                      TreeNode38.ImageIndex:=10;

      end;
      TreeView.FullExpand;
end;



procedure TfrmMain.Exit1Click(Sender: TObject);
begin
     close;
end;

procedure TfrmMain.Button1Click(Sender: TObject);
var FLeftMask : TBitmap;
    FRightMask: TBitmap;
    FCaptionbar_left_inactive: TBitmap;
    FCaptionbar_right_inactive: TBitmap;
    FCaptionbar_left_active: TBitmap;
    FCaptionbar_right_active: TBitmap;
    w: integer;
    t: integer;
    i: integer;

begin
   {i:=cboPaths.ItemIndex;
   ThemeServices.ThemeIndex:=i;
   case i of
     0: begin
         InactiveWindow.Color:=$00DBEAEB;
     end;
     1: begin
         InactiveWindow.Color:=$00C2979B;
     end;
     2: begin
         InactiveWindow.Color:=$00E3DFE0;
     end;
     3: begin
         InactiveWindow.Color:=$00E3DFE0;
     end;
    end;}

    //ThemedStyle.Refresh;

    dir:=cboPaths.Text;

    {//Some Vars
    //w:=AWidth-bottomFrameLeft.width-bottomFrameRight.width;
    //t:=AWidth-FCaptionLeft.width-FCaptionRight.width;

//Set Inactive Window
        //Set window default color
           //InactiveWindow.Color:=$00DBEAEB; }

        //Set captionbar_left
          FLeftMask:=TBitmap.create;
          FLeftMask.LoadFromFile(dir+'frame_mask_left.bmp');
          FCaptionbar_left_inactive:=TBitmap.Create;
          FCaptionbar_left_inactive.LoadFromFile(dir+'captionbar_left_inactive.png');
          with captionbar_left_inactive do begin
              Top:=0;
              Left:=0;
              Canvas.draw(0,0,FLeftMask);
              Canvas.draw(0,0,FCaptionbar_left_inactive);
          end;

        //Set captionbar_right
            FRightMask:=TBitmap.create;
            FRightMask.LoadFromFile(dir+'frame_mask_right.bmp');
            FCaptionbar_right_inactive:=TBitmap.Create;
            FCaptionbar_right_inactive.LoadFromFile(dir+'captionbar_right_inactive.png');
            with captionbar_right_inactive do begin
                 Top:=0;
                 Left:=WindowInactiveWidth-captionbar_right_inactive.Width;
                 Canvas.draw(0,0,FRightMask);
                 Canvas.draw(0,0,FCaptionbar_right_inactive);
            end;

        //Set captionbar_inactive
            with captionbar_inactive do begin
                Top:=0;
                Left:=captionbar_right_inactive.Width;
                Width:=WindowInactiveWidth-captionbar_right_inactive.Width-captionbar_left_inactive.Width;
                Height:=captionbar_left_inactive.Height;
                Picture.LoadFromFile(dir+'captionbar_inactive.png');
            end;

        //Set framebottom_left
            with framebottom_left_inactive do begin
                Top:=WindowInactiveHeight-framebottom_left_inactive.Height;
                Left:=0;
                Picture.LoadFromFile(dir+'framebottom_left_inactive.png');
            end;

        //Set framebottom_right
            with framebottom_right_inactive do begin
                Top:=WindowInactiveHeight-framebottom_right_inactive.Height;
                Left:=WindowInactiveWidth-framebottom_right_inactive.Width;
                Picture.LoadFromFile(dir+'framebottom_right_inactive.png');
            end;

        //Set framebottom
            with framebottom_inactive do begin
                Top:=WindowInactiveHeight-framebottom_inactive.Height;
                Left:=framebottom_left_inactive.Width;
                Width:=WindowInactiveWidth-framebottom_left_inactive.Width-framebottom_right_inactive.Width;
                Picture.LoadFromFile(dir+'framebottom_inactive.png');
            end;

       //Set frameleft_inactive
            with frameleft_inactive do begin
                Left:=0;
                Top:=captionbar_left_inactive.Height;
                Height:=WindowInactiveHeight-captionbar_left_inactive.Height-framebottom_left_inactive.Height;
                Picture.LoadFromFile(dir+'frameleft_inactive.png');
            end;

       //Set frameright_inactive
             with frameright_inactive do begin
                 Left:=WindowInactiveWidth-frameright_inactive.Width;
                 Top:=captionbar_right_inactive.Height;
                 Height:=WindowInactiveHeight-captionbar_right_inactive.Height-framebottom_right_inactive.Height;
                 Picture.LoadFromFile(dir+'frameleft_inactive.png');
             end;


       //Set Text (tmp code must be exactly as at uXPStyledFrame)
             with Label1 do begin
                 Left:=37;
                 Top:= 4;
                 Font.Name:='adobe-helvetica';
                 Font.Size:=fsize;
                 Font.Style:=[fsBold];
                 Font.Color:=$00C8C8C8;
                 Caption:=sInactiveWindowTitle;
             end;

       //Set Buttons
             InactiveButtonClose.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             InactiveButtonMaximize.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             InactiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             InactiveButtonRestore.Picture.LoadFromFile(dir+'captionbutton_normal.png');

      //Set Glyphs
             InactiveGlyphClose.Picture.LoadFromFile(dir+'close_active_disable.png');
             InactiveGlyphMaximize.Picture.LoadFromFile(dir+'maximize_active_disable.png');
             InactiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_disable.png');
             InactiveGlyphRestore.Picture.LoadFromFile(dir+'restore_active_disable.png');



//Set Active Window
        //Set window default color
           //InactiveWindow.Color:=$00DBEAEB; }

        //Set captionbar_left
          FCaptionbar_left_active:=TBitmap.Create;
          FCaptionbar_left_active.LoadFromFile(dir+'captionbar_left_active.png');
          with captionbar_left_active do begin
              Top:=0;
              Left:=0;
              Canvas.draw(0,0,FLeftMask);
              Canvas.draw(0,0,FCaptionbar_left_active);
          end;

        //Set captionbar_right
            FCaptionbar_right_active:=TBitmap.Create;
            FCaptionbar_right_active.LoadFromFile(dir+'captionbar_right_active.png');
            with captionbar_right_active do begin
                 Top:=0;
                 Left:=WindowActiveWidth-captionbar_right_active.Width;
                 Canvas.draw(0,0,FRightMask);
                 Canvas.draw(0,0,FCaptionbar_right_active);
            end;

        //Set captionbar_inactive
            with captionbar_active do begin
                Top:=0;
                Left:=captionbar_right_active.Width;
                Width:=WindowActiveWidth-captionbar_right_inactive.Width-captionbar_left_inactive.Width;
                Height:=captionbar_left_active.Height;
                Picture.LoadFromFile(dir+'captionbar_active.png');
            end;

        //Set framebottom_left
            with framebottom_left_active do begin
                Top:=WindowActiveHeight-framebottom_left_active.Height;
                Left:=0;
                Picture.LoadFromFile(dir+'framebottom_left_active.png');
            end;

        //Set framebottom_right
            with framebottom_right_active do begin
                Top:=WindowActiveHeight-framebottom_right_active.Height;
                Left:=WindowActiveWidth-framebottom_right_active.Width;
                Picture.LoadFromFile(dir+'framebottom_right_active.png');
            end;

        //Set framebottom
            with framebottom_active do begin
                Top:=WindowActiveHeight-framebottom_active.Height;
                Left:=framebottom_left_active.Width;
                Width:=WindowActiveWidth-framebottom_left_active.Width-framebottom_right_active.Width;
                Picture.LoadFromFile(dir+'framebottom_active.png');
            end;

       //Set frameleft_active
            with frameleft_active do begin
                Left:=0;
                Top:=captionbar_left_active.Height;
                Height:=WindowActiveHeight-captionbar_left_active.Height-framebottom_left_active.Height;
                Picture.LoadFromFile(dir+'frameleft_active.png');
            end;

       //Set frameright_active
             with frameright_active do begin
                 Left:=WindowActiveWidth-frameright_active.Width;
                 Top:=captionbar_right_active.Height;
                 Height:=WindowActiveHeight-captionbar_right_active.Height-framebottom_right_active.Height;
                 Picture.LoadFromFile(dir+'frameleft_inactive.png');
             end;


       //Set Text (TODO: must be exactly as at uXPStyledFrame)
             with Label3 do begin
                 Left:=37;
                 Top:= 4;
                 Font.Name:='adobe-helvetica';
                 Font.Size:=fsize;
                 Font.Style:=[fsBold];
                 Font.Color:=clWhite;
                 Caption:=sActiveWindowTitle;
             end;

       //Set Buttons
             ActiveButtonClose.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             ActiveButtonMaximize.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             ActiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_normal.png');
             ActiveButtonRestore.Picture.LoadFromFile(dir+'captionbutton_normal.png');


      //Set Glyphs
             ActiveGlyphClose.Picture.LoadFromFile(dir+'close_active_normal.png');
             ActiveGlyphMaximize.Picture.LoadFromFile(dir+'maximize_active_normal.png');
             ActiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_normal.png');
             ActiveGlyphRestore.Picture.LoadFromFile(dir+'restore_active_normal.png');


end;

procedure TfrmMain.FormCreate(Sender: TObject);
var Path : string;
begin
     cboPaths.ItemIndex:=0;
     ivObjects.Selected:=ivObjects.Items.Item[0];

     //Set Inactive Window Width and Height
         WindowInactiveWidth:=InactiveWindow.Width;
         WindowInactiveHeight:=InactiveWindow.Height;

     //Set Active Window Width and Height
         WindowActiveWidth:=ActiveWindow.Width;
         WindowActiveHeight:=ActiveWindow.Height;

     // This is temp demo code
     Path:=ExtractFilePath(Application.ExeName);
     TextViewer1.FileName:=Path+'help.htm';
     Memo.Lines.LoadFromFile(Path+'Luna.uis');

end;

procedure TfrmMain.FormShow(Sender: TObject);
begin
      Button1Click(Self);
end;

procedure TfrmMain.ivObjectsSelectItem(Sender: TObject;
  Item: TIconViewItem; Selected: Boolean);
begin
     if ivObjects.Selected=ivObjects.Items.Item[0] then CreateWindowTree;
end;

procedure TfrmMain.captionbar_inactiveClick(Sender: TObject);
begin
     imgActual.Picture:=captionbar_inactive.Picture;
     imgZoomed.Picture:=captionbar_inactive.Picture;
     lblBitmap.Caption:=' captionbar_inactive.png';
end;

procedure TfrmMain.ActiveGlyphMinimizeMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
   ActiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_over.png');
   ActiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_over.png');
     {imgActual.Picture:=ActiveButtonMinimize.Picture;
     imgZoomed.Picture:=ActiveButtonMinimize.Picture;
     lblBitmap.Caption:=' captionbutton_over.png';}
end;

procedure TfrmMain.ActiveGlyphMinimizeMouseLeave(Sender: TObject);
begin
   ActiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_normal.png');
   ActiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_normal.png');

end;

procedure TfrmMain.ActiveGlyphMinimizeMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   ActiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_press.png');
   ActiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_press.png');
     imgActual.Picture:=ActiveButtonMinimize.Picture;
     imgZoomed.Picture:=ActiveButtonMinimize.Picture;
     lblBitmap.Caption:=' captionbutton_press.png';
end;

procedure TfrmMain.ActiveGlyphMinimizeMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   ActiveButtonMinimize.Picture.LoadFromFile(dir+'captionbutton_over.png');
   ActiveGlyphMinimize.Picture.LoadFromFile(dir+'minimize_active_over.png');
     imgActual.Picture:=ActiveButtonMinimize.Picture;
     imgZoomed.Picture:=ActiveButtonMinimize.Picture;
     lblBitmap.Caption:=' captionbutton_over.png';
end;

procedure TfrmMain.ActiveGlyphMinimizeClick(Sender: TObject);
begin
     imgActual.Picture:=ActiveButtonMinimize.Picture;
     imgZoomed.Picture:=ActiveButtonMinimize.Picture;
     lblBitmap.Caption:=' captionbutton_normal.png';
end;

procedure TfrmMain.imgActualClick(Sender: TObject);
begin
     //ShowMessage('/opt/xpde/bin/apps/paint '+ dir+ Trim(lblBitmap.Caption));
     XPAPI.ShellExecute('/opt/xpde/bin/apps/paint '+ dir+ Trim(lblBitmap.Caption),false);
end;

end.
